Google List Models
Lists available Gemini models and their basic information.
GET
v1beta/modelsAuthorizations
x-goog-api-keystringheader
Auth method 1 — Header: x-goog-api-key: sk-pat-YourAccessToken
keystringquery
Auth method 2 — Query parameter: ?key=sk-pat-YourAccessToken
The key value is your HAI Gateway Personal Access Token (starting with sk-pat-). No separate API key from Google is required. Either authentication method works.
Base URL
cURL
Default
curl https://api.hai.network/google/v1beta/models \
-H "x-goog-api-key: sk-pat-YourAccessToken"200
Default
{
"models": [
{
"name": "models/gemini-2.5-pro",
"displayName": "gemini-2.5-pro",
"description": "",
"inputTokenLimit": 1048576,
"outputTokenLimit": 65536,
"supportedGenerationMethods": ["generateContent"]
},
{
"name": "models/gemini-2.5-flash",
"displayName": "gemini-2.5-flash",
"description": "",
"inputTokenLimit": 1048576,
"outputTokenLimit": 65536,
"supportedGenerationMethods": ["generateContent"]
}
]
}